lp:ubuntu/saucy/cinder

Created by Ubuntu Package Importer on 2013-04-26 and last modified on 2013-10-16
Get this branch:
bzr branch lp:ubuntu/saucy/cinder
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Development

Recent revisions

23. By James Page on 2013-10-16

New upstream release candidate (LP: #1240254).

22. By James Page on 2013-10-12

New upstream release candidate (LP: #1239156).

21. By Chuck Short on 2013-10-04

* New upstream release candidate.
* debian/patches/skip-sqlachemy-failures.patch: Dropped
* debian/patches/fix-sqlalchemy-requirements.patch: Refreshed.
* debian/patches/fix-babel-requirements.patch: Revert dependency requirement
  for python-babel.
* debian/control:
  - Dropped python-nose and python-setuptool-git.
  - Added python-netaddr as a build-dependency. (LP: #1227153)
  - Added python-six as a build-dependency.
  - Added versioned dependencies to python-pbr, python-amqplib,
    python-glanceclient, python-novaclient, and python-swiftclient,
    python-lxml, python-webob, python-oslo.config, python-sqlalchemy,
    python-fixtures, python-testtools, and python-fixtures
  - Bumped versioned dependencies for python-eventlet, python-hp3parclient,
    python-keystoneclient, and python-novaclient

20. By Chuck Short on 2013-09-08

[ James Page ]
* d/control: Switch ceph-common -> python-ceph inline with upstream
  refactoring of Ceph RBD driver, move to Suggests of python-cinder.
  (LP: #1190791).

[ Adam Gandelman ]
* debian/patches/avoid_paramiko_vers_depends.patch: Dropped, no longer
  required.
* Add minimum requirement python-greenlet (>= 0.3.2).
* Add minimum requirement python-eventlet (>= 0.12.0).
* Add minimum requirement python-paramiko (>= 1.8).

[ Chuck Short ]
* New upstream release.
* debian/patches/skip-sqlachemy-failures.patch: Skip testfailures
  with sqlalchemy 0.8 until they are fixed upstream.
* debian/control: Add python-babel to build-depends.
* debian/control: Add python-novaclient to build-depends.

19. By Chuck Short on 2013-07-22

debian/patches/fix-sqlalchemy-requirements.patch: Fix requirements for sqlalchemy
0.8.

18. By James Page on 2013-07-21

d/rules: Disable test parallel execution; causing FTBFS when high
levels of concurrency occur on buildds.

17. By James Page on 2013-07-19

[ Chuck Short ]
* debian/patches/avoid_paramiko_vers_depends.patch: Refreshed
* debian/control: Add missing testrepostory.
* debian/rules: Use testr directly.

[ Adam Gandelman ]
* debian/control:
  - Add minimum requirement python-anyjson (>= 0.3.3).
  - Add minimum requirement python-keystoneclient (>= 0.2.3).
  - Add minimum requirement python-kombu (>= 2.5.12).

[ James Page ]
* New upstream release.
* d/control: Update VCS fields for new branch locations.
* d/rules: Run unit tests in parallel.

16. By Chuck Short on 2013-06-19

[ Chuck Short ]
* debian/patches/avoid_paramiko_vers_depends.patch: Refreshed

[ Adam Gandelman ]
* debian/control: Bump min. stevedore version >= 0.9.

[Yolanda Robla]
* debian/tests: Added autopkgtests.

15. By Chuck Short on 2013-05-31

[ Chuck Short ]
* New upstream version.
* debian/patches/fix_cinder_dependencies.patch: Dropped.
* debian/control: Bump standards version to 3.9.4.
* debian/control: Add python-pbr and python-d2to1 to build-depends.
* debian/control: Add python-testtools and python-fixtures to build-depends
* debian/rules: Add work around to remove wonky setup.py setup
* debian/cinder-common.install: Add cinder-rpc-zmq-receiver binary.

[ James Page ]
* debian/control: Drop surplus dependency on python-glance (LP: #1175600).
* debian/control,rules: Drop dependency on pep8, don't run pep8 tests during
  package build process (its just way to late).
* debian/control: Drop surplus BD on python-cheetah.

[ Adam Gandelman ]
* debian/patches/avoid_paramiko_vers_depends.patch: Avoid version
  requirement on paramiko.

14. By Adam Gandelman on 2013-04-16

debian/control: Bump minimum stevedore version 0.8.
(LP: #1169730)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.

Subscribers